# PHTTPRadioField Class Reference

`#include <httpform.h>`

Inheritance diagram for PHTTPRadioField:

List of all members.

## Public Member Functions

| PHTTPRadioField (const char *name, const PStringArray &valueArray, PINDEX initVal=0, const char *help=NULL)
| PHTTPRadioField (const char *name, const PStringArray &valueArray, const PStringArray &titleArray, PINDEX initVal=0, const char *help=NULL)
| PHTTPRadioField (const char *name, PINDEX count, const char *const *valueStrings, PINDEX initVal=0, const char *help=NULL)
| PHTTPRadioField (const char *name, PINDEX count, const char *const *valueStrings, const char *const *titleStrings, PINDEX initVal=0, const char *help=NULL)
| PHTTPRadioField (const char *name, const char *groupTitle, const PStringArray &valueArray, PINDEX initVal=0, const char *help=NULL)
| PHTTPRadioField (const char *name, const char *groupTitle, const PStringArray &valueArray, const PStringArray &titleArray, PINDEX initVal=0, const char *help=NULL)
| PHTTPRadioField (const char *name, const char *groupTitle, PINDEX count, const char *const *valueStrings, PINDEX initVal=0, const char *help=NULL)
| PHTTPRadioField (const char *name, const char *groupTitle, PINDEX count, const char *const *valueStrings, const char *const *titleStrings, PINDEX initVal=0, const char *help=NULL)
virtual PHTTPField * | NewField () const
| Create a new field of the same class as the current field.
virtual void | GetHTMLTag (PHTML &html) const
| Convert the field to HTML form tag for inclusion into the HTTP page.
virtual PString | GetHTMLInput (const PString &input) const
| Convert the field input to HTML for inclusion into the HTTP page.
virtual PString | GetValue (PBoolean dflt=false) const
| Get the string value of the field.
virtual void | SetValue (const PString &newVal)
| Set the value of the field.

## Protected Attributes

PStringArray | values
PStringArray | titles
PString | value
PString | initialValue

## Constructor & Destructor Documentation

PHTTPRadioField::PHTTPRadioField | ( | const char * | name,
|  | const PStringArray & | valueArray,
|  | PINDEX | initVal = `0`,
|  | const char * | help = `NULL` |
| ) |  |  |

PHTTPRadioField::PHTTPRadioField | ( | const char * | name,
|  | const PStringArray & | valueArray,
|  | const PStringArray & | titleArray,
|  | PINDEX | initVal = `0`,
|  | const char * | help = `NULL` |
| ) |  |  |

PHTTPRadioField::PHTTPRadioField | ( | const char * | name,
|  | PINDEX | count,
|  | const char *const * | valueStrings,
|  | PINDEX | initVal = `0`,
|  | const char * | help = `NULL` |
| ) |  |  |

PHTTPRadioField::PHTTPRadioField | ( | const char * | name,
|  | PINDEX | count,
|  | const char *const * | valueStrings,
|  | const char *const * | titleStrings,
|  | PINDEX | initVal = `0`,
|  | const char * | help = `NULL` |
| ) |  |  |

PHTTPRadioField::PHTTPRadioField | ( | const char * | name,
|  | const char * | groupTitle,
|  | const PStringArray & | valueArray,
|  | PINDEX | initVal = `0`,
|  | const char * | help = `NULL` |
| ) |  |  |

PHTTPRadioField::PHTTPRadioField | ( | const char * | name,
|  | const char * | groupTitle,
|  | const PStringArray & | valueArray,
|  | const PStringArray & | titleArray,
|  | PINDEX | initVal = `0`,
|  | const char * | help = `NULL` |
| ) |  |  |

PHTTPRadioField::PHTTPRadioField | ( | const char * | name,
|  | const char * | groupTitle,
|  | PINDEX | count,
|  | const char *const * | valueStrings,
|  | PINDEX | initVal = `0`,
|  | const char * | help = `NULL` |
| ) |  |  |

PHTTPRadioField::PHTTPRadioField | ( | const char * | name,
|  | const char * | groupTitle,
|  | PINDEX | count,
|  | const char *const * | valueStrings,
|  | const char *const * | titleStrings,
|  | PINDEX | initVal = `0`,
|  | const char * | help = `NULL` |
| ) |  |  |

## Member Function Documentation

virtual PString PHTTPRadioField::GetHTMLInput | ( | const PString & | input | ) | const`[virtual]`

Convert the field input to HTML for inclusion into the HTTP page.

Reimplemented from PHTTPField.

virtual void PHTTPRadioField::GetHTMLTag | ( | PHTML & | html | ) | const`[virtual]`

Convert the field to HTML form tag for inclusion into the HTTP page.

Parameters:

  html | HTML to receive the field info.

Implements PHTTPField.

virtual PString PHTTPRadioField::GetValue | ( | PBoolean | dflt = `false` | ) | const`[virtual]`

Get the string value of the field.

Returns:
  String for field value.

Implements PHTTPField.

virtual PHTTPField* PHTTPRadioField::NewField | ( |  | ) | const`[virtual]`

Create a new field of the same class as the current field.

Returns:
  New field object instance.

Implements PHTTPField.

virtual void PHTTPRadioField::SetValue | ( | const PString & | newVal | ) | `[virtual]`

Set the value of the field.

Implements PHTTPField.

## Member Data Documentation

PString PHTTPRadioField::initialValue `[protected]`

PStringArray PHTTPRadioField::titles `[protected]`

PString PHTTPRadioField::value `[protected]`

PStringArray PHTTPRadioField::values `[protected]`

The documentation for this class was generated from the following file:

- httpform.h